<?php
include("../header.php");
?>

<script>
///....
	if(myLevel!="Master"){
		alert("No tiene acceso a este modulo del sitema")
		window.location.href="../menu/menu.php";
		
	}
</script>
<div class="container-fluid">
<ol class="breadcrumb">
  <li><a href="#">Parametros</a></li>
  <li><a href="#"><b>Configuracion de caja punto de ventas</b></a></li>
 
</ol>
			
					<div class="row">
						<div class="col-md-1 mt-2">
							<label for="folio">Nombre caja</label>
						</div>

						<div class="col-md-2">
							<input class="form-control mt-2 bold" id="txt-caja" placeholder="Nombre caja.." >
						</div>
                        
						
					</div>

					<div class="row">
						<div class="col-md-1 mt-2">
							<label for="folio">Formato de impresion</label>
						</div>

						<div class="col-md-2">
							<select class="form-control mt-2 bold" id="txt-impresion">
								<option value="POS">POS</option>
								<option value="Carta">Carta</option>
							</select>
						</div>
                        
						
					</div>
					
					<div class="row">
						<div class="col-md-1 mt-2">
							<label for="folio">Tipo de comprobante (NCF) predeterminado</label>
						</div>

						<div class="col-md-2">
						<input class="form-control mt-2 bold" id="txt-ncf" placeholder="Prefijo" >

						</div>
                        
						
					</div>
					
					<h2>Parametros de reportes</h2>
					<hr>
					
					<div class="row">
						<div class="col-md-1 mt-2">
							<label for="">Pie reporte de ventas</label>
						</div>

						<div class="col-md-2">
							<select class="form-control mt-2 bold" id="txt-reporte-venta">
								<option value="detallado">Detallado</option>
								<option value="corto">corto</option>
							</select>
						</div>
                        
						
					</div>

        				 <div class="col-md-2">
							<button class="btn btn-default mt-2 text-success" onClick="grabar()"><i class="fa fa-save fa-lg"></i> Actualizar</button>
						</div>

<?php
include("../footer.php");
?>


<script type="text/javascript">
$("#txt-caja").val(localStorage.getItem("caja"));
$("#txt-ncf").val(localStorage.getItem("ncf"));
///$("#txt-reporte-venta").val(localStorage.getItem("reporte-venta"));
$("#txt-impresion").val(localStorage.getItem("impresion"));
var impresion = localStorage.getItem("impresion");

if(impresion=="" || impresion==null){
	localStorage.setItem("impresion", "POS");

}
var ncf = localStorage.getItem("ncf");

if(ncf=="" || ncf==null){
	localStorage.setItem("ncf", "");

}

  function grabar(){
     if(!confirm("Seguro(a) que desea aztualizar este registro?")){return;}                   
    
     var caja = $("#txt-caja").val();
     impresion = $("#txt-impresion").val();
	 ncf = $("#txt-ncf").val();
	 var reporte_venta = $("#txt-reporte-venta").val()
     localStorage.setItem("impresion", impresion);
	 localStorage.setItem("reporte-venta", reporte_venta);
	 localStorage.setItem("ncf", ncf);
     if(caja==""){alert('Faltan datos'); return}

    		localStorage.setItem("caja", caja);

           //grabar_en_servidor();
           alert("Caja creada satisfactoriamente!")

     }


     function grabar_en_servidor(){
        var caja = $("#txt-caja").val();
        if(caja=="Cerrado"){alert("El nombre de la caja no puede quedar vacio"); return;}
        if(!confirm("Seguro de actualizar esta caja?")){return;}

        var sql = "insert into cajas set ";
            sql+=" nombre='"+$("#txt-caja").val()+"'"
            
        _enviar("../php/update.php",{sql:sql})
        .done( function  ( data ){
            if(data=="1"){alert("Caja creada satisfactoriamente!"); window.location.reload() }else{alert(data)}
        })
    }
</script>